package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyCreative;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KuaishouReportDailyCreativeMapper extends BaseMapper<KuaishouReportDailyCreative> {
    void loadCreativeDailyReport(@Param("accountId") Long accountId, @Param("localPath") String localPath);

    void formatCreativeDailyReportData(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    List<JSONObject> selectCodeByDate(@Param("startDate") String startDate, @Param("endDate") String endDate);

    List<String> getSignatureList();

    void loadProgramCreativeDailyReport(@Param("accountId") Long accountId, @Param("localPath") String localPath);

    List<JSONObject> checkZombieProject(@Param("date") String date);

    void deleteByAccountId(@Param("accountId") Long accountId);

    void deleteByAccountIdAndStatDate(@Param("accountId") Long accountId, @Param("statDate") String statDate);
}
